-- test code for Lua<->DFUI binding.
-- $Id: test_commands.lua,v 1.3 2004/08/10 18:38:06 cpressey Exp $

-- print("DFUIConnection=", DFUIConnection)
-- c = DFUIConnection.new("tcp", "9998")
-- print("c=", c)
-- r = c:start()
-- print("c:start()=", r)

a = InstallerContext.new("/", "/tmp/", "tcp", "9999");
print("a=",a)
cmds = CommandChain.new();
print("cmds=",cmds)
r = cmds:add("touch /testing");
print("result=",r)
r = cmds:execute(a);
print("result=",r)
